# Created by pyp2rpm-3.3.2
%global pypi_name nb2plots

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %mkrel 2
Summary:        Converting between ipython notebooks and sphinx docs
Group:          Development/Python
License:        BSD license
URL:            https://github.com/matthew-brett/nb2plots
Source0:        https://github.com/matthew-brett/nb2plots/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3dist(scripttester)
BuildRequires:  python3dist(nbconvert)
BuildRequires:  python3dist(html5lib)
BuildRequires:  jupyter-nbconvert

%description
Convert Jupyter notebooks to ReST files for Sphinx, and back again. Nb2plots
assumes that the ReST document will become the source for your Sphinx web
pages, but also for future versions of the notebook. The notebook may serve as
a draft for the polished ReST page, and an output format from the Sphinx build.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Convert Jupyter notebooks to ReST files for Sphinx, and back again. Nb2plots
assumes that the ReST document will become the source for your Sphinx web
pages, but also for future versions of the notebook. The notebook may serve as
a draft for the polished ReST page, and an output format from the Sphinx build.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nb2plots

%check
# 4 tests failing because we don not have pandoc
# to fix: scripts is still too large, only scripts/nb2plots should be excluded
%pytest -k "not small and not regression and not test_simple_cells and not scripts"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/nb2plots
%{_bindir}/rst2md
%{_bindir}/sphinx2md
%{_bindir}/sphinx2nb
%{_bindir}/sphinx2pxml
%{_bindir}/sphinx2py


%changelog
* Mon Jan 27 2025 papoteur <papoteur> 0.7.2-2.mga10
+ Revision: 2142779
- fix tests: nb2plots was excluding all

* Thu Apr 04 2024 papoteur <papoteur> 0.7.2-1.mga10
+ Revision: 2054410
- new version 0.7.2
- restore tests, disabling the ones requiring pandoc

* Tue Dec 26 2023 wally <wally> 0.7-2.mga10
+ Revision: 2021960
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Sep 20 2023 papoteur <papoteur> 0.7-1.mga10
+ Revision: 1988376
- new 0.7

* Thu Nov 03 2022 papoteur <papoteur> 0.6.1-2.mga9
+ Revision: 1902036
- reword description
  clean Requires, there are automatic
  remove BR versionning
  update URL and source URL
- rebuild for fastjsonschema dependency
+ neoclust <neoclust>
- New version  0.6.1

* Wed Apr 06 2022 umeabot <umeabot> 0.6-7.mga9
+ Revision: 1846136
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 0.6-6.mga9
+ Revision: 1783570
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 0.6-5.mga9
+ Revision: 1708589
- rebuild for python 3.9

* Tue Mar 23 2021 daviddavid <daviddavid> 0.6-4.mga9
+ Revision: 1708079
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6-3.mga8
+ Revision: 1532700
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.6-2.mga8
+ Revision: 1442215
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 0.6-1.mga8
+ Revision: 1422847
- pyp2rpm

